Bug 231786 - Review Request: multiget - easy-to-use GUI file downloader for Windows/Linux/BSDs/MacOs
Review Request: multiget - easy-to-use GUI file downloader for Windows/Linux/...
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jochen Schmitt
Fedora Package Reviews List
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-03-11 16:22 EDT by Allisson Azevedo
Modified: 2008-06-29 17:29 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-03-21 23:25:23 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
jochen: fedora‑review+
wtogami: fedora‑cvs+


Attachments (Terms of Use)
mock build log of multiget-1.1.4-1 on FC-devel i386 (88.51 KB, text/plain)
2007-03-11 21:48 EDT, Mamoru TASAKA
no flags Details
mock build log of multiget-1.1.4-3 on FC-6 i386 (103.53 KB, text/plain)
2007-03-14 11:50 EDT, Mamoru TASAKA
no flags Details
Build log from mock (103.87 KB, text/plain)
2007-03-14 12:43 EDT, Jochen Schmitt
no flags Details
Sugg. Patch for the makefile to include $RPM_OPT_FLAGS (403 bytes, patch)
2007-03-14 15:05 EDT, Jochen Schmitt
no flags Details | Diff

  None (edit)
Description Allisson Azevedo 2007-03-11 16:22:13 EDT
Spec URL: http://fedora.allisson.eti.br/multiget.spec
SRPM URL: http://fedora.allisson.eti.br/multiget-1.1.4-1.src.rpm

Description: MultiGet is an easy-to-use GUI file downloader for Windows/Linux/BSDs/MacOs. It's programmed in C++ and has a GUI based on wxWidgets. It supports HTTP/FTP protocols which covers the requirements of most users. It supports multi-task with multi-thread on multi-server. It supports resuming downloads if the Web server supports it, and if you like, you can reconfig the thread number without stopping the current task. It's also support SOCKS 4,4a,5 proxy, ftp proxy, http proxy.
Comment 1 Jochen Schmitt 2007-03-11 16:59:30 EDT
Good:
+ Tar ball matches with upstream
+ Rpmlint is quite on source rpm.
+ Local build works fine.
+ Rpmlint is quite on binary rpm.
+ Install and unintall of created rpm workds fine.
+ Multiget could start fine.


Bad:
- Debugginginfo doesn't contains debugging informations.
- Poke upstream to put a prooper license statement into the package.

Comment 2 Mamoru TASAKA 2007-03-11 21:48:25 EDT
Created attachment 149802 [details]
mock build log of multiget-1.1.4-1 on FC-devel i386

Just a info:

Mock build log of multiget-1.1.4-1 on FC-devel i386
* Fedora specific compilation flags are not passed.
* compilar flags suppress to create debug information
  (-s flag)
Comment 3 Mamoru TASAKA 2007-03-11 22:08:26 EDT
For info from a quick look at spec file and something else:

* Use desktop-file-utils on installing desktop file
* Category "Application" is deprecated and should be
  removed
* Mark Chinese documents as %lang(zh_??)
* For source,  please check:
  http://fedoraproject.org/wiki/Packaging/SourceURL
Comment 4 Mamoru TASAKA 2007-03-11 22:13:34 EDT
* Suggestion
  - Summary can be "An easy-to-use GUI file downloader"
    - "MultiGet is" is redundant for Summary
    - This is Linux.
* "Requires: wxGTK" is redundant. Libraries dependency should 
   automatically pull this.
Comment 5 Allisson Azevedo 2007-03-12 00:45:57 EDT
Update package:

Spec URL: http://fedora.allisson.eti.br/multiget.spec
SRPM URL: http://fedora.allisson.eti.br/multiget-1.1.4-2.src.rpm

Changes:

- Fix .spec in accordance with the suggestions
- Create patch for correct debuginfo package

Notes:

- Waiting reply of upstream about the license
Comment 6 Allisson Azevedo 2007-03-12 06:59:19 EDT
Update package:

Spec URL: http://fedora.allisson.eti.br/multiget.spec
SRPM URL: http://fedora.allisson.eti.br/multiget-1.1.4-3.src.rpm

Reply from upstream:

You can include a GPL licence copy as you like. It's based on GPL licence. The
reason I don't include it is that I think everybody knows GPL.  Too many GPL
copys with different software just waste bandwidth.
 
Thank you.
liubin,China.

Changes:

- Include GPL license in doc
Comment 7 Jochen Schmitt 2007-03-12 12:26:16 EDT
Bad:
- Use of buildroot is not consistant
  (wiki: Packaging/Guidelines#UsingBuildRootOptFlags)
- Local build fails with:
':
/usr/include/wx-2.6/wx/gdicmn.h:476: warning: dereferencing type-punned pointer
will break strict-aliasing rules
/usr/include/wx-2.6/wx/filefn.h: At global scope:
/usr/include/wx-2.6/wx/filefn.h:322: error: zero width for bit-field
'wxAssert_323::BadFileSizeType'
/usr/include/wx-2.6/wx/image.h: In member function
'wxImageHistogramBase_wxImplementation_HashTable::Node**
wxImageHistogramBase_wxImplementation_HashTable::GetNodePtr(const long unsigned
int&) con
st':
Comment 8 Allisson Azevedo 2007-03-12 13:24:15 EDT
Update package:

Spec URL: http://fedora.allisson.eti.br/multiget.spec
SRPM URL: http://fedora.allisson.eti.br/multiget-1.1.4-4.src.rpm

Changes:

- Fix .spec

Notes:

- Local build work fine here, some warnings but not error
Comment 9 Jochen Schmitt 2007-03-13 12:15:45 EDT
Sorry, But on my machine the local build fails with:

g++ -O2 -g -pipe -Wall -Wp,-D_FORTIFY_SOURCE=2 -fexceptions -fstack-protector
--param=ssp-buffer-size=4 -m32 -march=i386 -mtune=generic
-fasynchronous-unwind-tables `wx-config --cxxflags` -c mgfile
manager.cpp -o mgfilemanager.o
g++ -O2 -g -pipe -Wall -Wp,-D_FORTIFY_SOURCE=2 -fexceptions -fstack-protector
--param=ssp-buffer-size=4 -m32 -march=i386 -mtune=generic
-fasynchronous-unwind-tables -c mgurlparser.cpp -o urlparser.
o
/usr/include/wx-2.6/wx/string.h:771: error: 'wxChar&
wxString::operator[](unsigned int)' cannot be overloaded
/usr/include/wx-2.6/wx/string.h:768: error: with 'wxChar&
wxString::operator[](size_t)'
/usr/include/wx-2.6/wx/hashmap.h: In member function
'wxLongToLongHashMap_wxImplementation_HashTable::Node**
wxLongToLongHashMap_wxImplementation_HashTable::GetNodePtr(const long int&) const':
/usr/include/wx-2.6/wx/hashmap.h:705: warning: dereferencing type-punned pointer
will break strict-aliasing rules
/usr/include/wx-2.6/wx/clntdata.h: In member function
'wxShadowObjectMethods_wxImplementation_HashTable::Node**
wxShadowObjectMethods_wxImplementation_HashTable::GetNodePtr(const wxString&)
const':
/usr/include/wx-2.6/wx/clntdata.h:26: warning: dereferencing type-punned pointer
will break strict-aliasing rules
/usr/include/wx-2.6/wx/clntdata.h: In member function
'wxShadowObjectFields_wxImplementation_HashTable::Node**
wxShadowObjectFields_wxImplementation_HashTable::GetNodePtr(const wxString&) const':
/usr/include/wx-2.6/wx/clntdata.h:31: warning: dereferencing type-punned pointer
will break strict-aliasing rules
/usr/include/wx-2.6/wx/gdicmn.h: In member function
'wxStringToColourHashMap_wxImplementation_HashTable::Node**
wxStringToColourHashMap_wxImplementation_HashTable::GetNodePtr(const wxString&)
const
':
/usr/include/wx-2.6/wx/gdicmn.h:476: warning: dereferencing type-punned pointer
will break strict-aliasing rules
/usr/include/wx-2.6/wx/filefn.h: At global scope:
/usr/include/wx-2.6/wx/filefn.h:322: error: zero width for bit-field
'wxAssert_323::BadFileSizeType'
/usr/include/wx-2.6/wx/image.h: In member function
'wxImageHistogramBase_wxImplementation_HashTable::Node**
wxImageHistogramBase_wxImplementation_HashTable::GetNodePtr(const long unsigned
int&) con
st':
/usr/include/wx-2.6/wx/image.h:123: warning: dereferencing type-punned pointer
will break strict-aliasing rules
/usr/include/wx-2.6/wx/longlong.h: In constructor
'wxLongLongNative::wxLongLongNative(long int, long unsigned int)':
Comment 10 Mamoru TASAKA 2007-03-13 12:30:35 EDT
mockbuild on FC-6 i386 is no problem for me.

Jochen, does mockbuild also fail for you?
Comment 11 Mamoru TASAKA 2007-03-13 12:40:31 EDT
NOTE:

when trying mockbuild, please use with --debug option and
keep a full log.
I am a rawhide user and I cannot check FC-6 or FC-5 but for
mockbuild.
Comment 12 Xavier Lamien 2007-03-13 21:10:54 EDT
Tested on FC-5 and FC-6 outside of mock, and it works.

Comment 13 Jochen Schmitt 2007-03-14 11:39:00 EDT
Hmmm, perhaps you don't make a 'yum update' on your system.

The build fails on mock too.

Best Regards:

Jochen Schmitt
Comment 14 Mamoru TASAKA 2007-03-14 11:48:07 EDT
(In reply to comment #13)
> The build fails on mock too.

Well, if so, please attach the full log of mockbuild with
--debug option, as I usually do.

> Hmmm, perhaps you don't make a 'yum update' on your system.
Umm??? mock always uses "fully updated" rpms, whether
you (or) me use updated rpms or not... What do you mean?
Comment 15 Mamoru TASAKA 2007-03-14 11:50:22 EDT
Created attachment 150059 [details]
mock build log of multiget-1.1.4-3 on FC-6 i386

"Full log" uses herein is like this.
Comment 16 Jochen Schmitt 2007-03-14 12:43:42 EDT
Created attachment 150066 [details]
Build log from mock

Contains the build log from mock.
Comment 17 Mamoru TASAKA 2007-03-14 13:14:21 EDT
Well, so please attach this first, with the information
that you failed on FC-6 *x86_64* (as I write "succees on
FC-6 *i386*)

This is due to the patch "multiget-1.1.4-makefile.patch", which
removes "-D _LARGEFILE64_SOURCE -D FILE_OFFSET_BITS=64".

And perhaps "-D NDEBUG" should not be removed.

Simply.
-------------------------------------------
%{__sed} -i.good -e '/^CFLAGS =/s|-s.*|%{optflags}|' src/makefile
-------------------------------------------
would work?
-------------------------------------------
Comment 18 Allisson Azevedo 2007-03-14 13:28:25 EDT
Update package:

Spec URL: http://fedora.allisson.eti.br/multiget.spec
SRPM URL: http://fedora.allisson.eti.br/multiget-1.1.4-5.src.rpm

Changes:

- Change .patch
Comment 19 Jochen Schmitt 2007-03-14 14:08:13 EDT
Good:
+ Local build works fine.
+ Package conatins COPYING

Bad:
- $RPM_OPT_FLAG was not used during the build.
Comment 20 Allisson Azevedo 2007-03-14 14:30:35 EDT
Update package:

Spec URL: http://fedora.allisson.eti.br/multiget.spec
SRPM URL: http://fedora.allisson.eti.br/multiget-1.1.4-6.src.rpm

Changes:

- Remove $RPM_OPT_FLAG from .spec

Notes:

- Fedora specific compilation flags broken in x86_64
Comment 21 Jochen Schmitt 2007-03-14 15:05:50 EDT
Created attachment 150080 [details]
Sugg. Patch for the makefile to include $RPM_OPT_FLAGS

I have add a patch witch should add $RPM_OPT_FLAG support on your package.

The local build works fine with this patch.
Comment 22 Allisson Azevedo 2007-03-14 15:27:16 EDT
Update package:

Spec URL: http://fedora.allisson.eti.br/multiget.spec
SRPM URL: http://fedora.allisson.eti.br/multiget-1.1.4-7.src.rpm

Changes:

- Change patch

Comment 23 Jochen Schmitt 2007-03-14 17:16:27 EDT
God:
+ Local build works fine.
+ License Ok.
+ Application can start.
+ Mock build works fine.

APPROVED



Comment 24 Allisson Azevedo 2007-03-14 17:37:39 EDT
Thanks Jochen and Mamoru for help, Is my first package approved.

i'm search for sponsor now
Comment 25 Mamoru TASAKA 2007-03-21 02:46:56 EDT
Allisson, are you still searching for someone who
would sponsor you?

NOTE: The first review request must be reviewed by sponsor
      members.
      http://fedoraproject.org/wiki/PackageMaintainers/HowToGetSponsored
Comment 26 Allisson Azevedo 2007-03-21 08:31:02 EDT
Mamoru,

I don't have sponsor yet, you could be?
Comment 27 Mamoru TASAKA 2007-03-21 08:38:49 EDT
Okay, I will sponsor you. Please follow:

http://fedoraproject.org/wiki/PackageMaintainers/Join
Comment 28 Allisson Azevedo 2007-03-21 14:16:44 EDT
Thanks Mamoru,

I follow the document:

   1. Read the Guidelines - DONE
   2. Create a Bugzilla Account - DONE
   3. Join the important Mailing Lists - DONE
   4. Read Other Submissions - DONE
   5. Make a Package - DONE
   6. Upload Your Package - DONE
   7. Create Your Review Request - DONE
   8. Watch for Feedback - DONE
   9. Get Sponsored - DONE
  10. Get a Fedora Account - DONE
Comment 29 Mamoru TASAKA 2007-03-21 14:40:04 EDT
Well, I confirmed that you are now the member of
cla_done, so I guess you did the stage of
"Get a Fedora Account No.3"

However, I have not received a mail which notices
that you need a sponsor. So perhaps you have to 
do the procedure from "Get a Fedora Accont No 4".
Again please check http://fedoraproject.org/wiki/PackageMaintainers/Join ?

When you edit your account properly, the mail will
be sent.
Comment 30 Allisson Azevedo 2007-03-21 14:50:50 EDT
I forget No.4, fixed.
Comment 31 Allisson Azevedo 2007-03-21 18:25:57 EDT
New Package CVS Request
=======================
Package Name: multiget
Short Description: An easy-to-use GUI file downloader
Owners: allisson@gmail.com
Branches: FC-6 FC-7
InitialCC: mtasaka@ioa.s.u-tokyo.ac.jp
Comment 33 Guido Ledermann 2008-06-29 17:29:17 EDT
New review can be found here
https://bugzilla.redhat.com/show_bug.cgi?id=450410

Note You need to log in before you can comment on or make changes to this bug.